<?php
/*
* cPanel Backup Script originally created by Eric Zhang
* https://www.ericzhang.me/projects/cpanel-auto-backup/
* 
* Downloaded from Netvantage Marketing
* http://netvantagemarketing.com/blog/backup-plan-backup-critical-files-part-2/
*/

$auth = base64_encode("cPanelUsername:cPanelPassword");
$domain = "https://YourDomainHere.com:2083";
$theme = "paper_lantern";
$ftp = true;
$ftp_server = "ftp.server.com";
$ftp_username = "FTPUsername";
$ftp_password = "FTPPassword";
$ftp_port = "21";
$ftp_directory = "/";

// Do not change below
$url = $domain . "/frontend/" . $theme . "/backup/dofullbackup.html";
$data = array();
if ($ftp) {
  $data["dest"] = "ftp";
  $data["server"] = $ftp_server;
  $data["user"] = $ftp_username;
  $data["pass"] = $ftp_password;
  $data["port"] = $ftp_port;
  $data["rdir"] = $ftp_directory;
}

$options = array(
  'http' => array(
    'header'  => "Content-type: application/x-www-form-urlencoded\r\nAuthorization: Basic $auth\r\n",
    'method'  => 'POST',
    'content' => http_build_query($data)
  ),
  'ssl' => array(
    'verify_peer' => false,
    'verify_peer_name' => false,
    'allow_self_signed' => true
  )
);

$context = stream_context_create($options);
$result = file_get_contents($url, false, $context);
if ($result === FALSE) {
  exit("Error backing up server.");
}

echo $result;
?>

	